
Cook: monkey 1.5.6
================================================================================
QA: checking package receipt...
Checking build dependencies...
Installing (pkg/local): findutils-4.6.0
Extracting source archive "monkey-1.5.6.tar.gz"

Executing: compile_rules
CFLAGS   : -march=i486  -Os -pipe -mindirect-branch=thunk

[0;31m********************************************
[0;32m[1m        Monkey HTTP Server v1.5.6        
[0;31m*[1;33m           monkey-project.com             [0;31m*
*[0;34m ---------------------------------------- [0;31m*
*[1;33m  We need beta testers, developers and    [0;31m*
*[1;33m translators!, if you want to contribute  [0;31m*
*[1;33m to this wonderful project, contact us !  [0;31m*
*[1;33m                                          [0;31m*
*[1;33m        irc.freenode.net #monkey          [0;31m*
*[1;33m                                          [0;31m*
*[1;33m        Thanks for using Monkey!!!        [0;31m*
*[1;33m                                          [0;31m*
********************************************[0m
System   : [1;33mLinux 3.2.98-slitaz64[0m
[1m=== Checking dependencies ===[0m
+ Checking for accept4() function ... [0;32m[1mYes[0m
+ Checking for pthread headers ... [0;32m[1mYes[0m
+ Checking for backtrace support ... [0;32m[1mYes[0m

[1m=== Plugins included ===[0m
+ Auth
+ Cgi
+ Cheetah
+ Dirlisting
+ Fastcgi
+ Liana
+ Logger
+ Mandril

[1m=== Creating Makefiles and scripts ===[0m
+ Creating conf/monkey.conf
+ Creating src/Makefile
+ Creating plugins/Make.common
+ Creating src/include/mk_info.h
+ Creating bin/banana script
+ Creating Makefile

[1m=== Configuring Memory Allocator ===[0m
+ Jemalloc configured

[1m=== Monkey Configuration ===[0m
Platform	= generic
Compiler	= gcc
CFLAGS		= -march=i486  -Os -pipe -mindirect-branch=thunk  -std=gnu99 -Wall -Wextra -fvisibility=hidden
LDFLAGS		= 
DEFS		=  -DMALLOC_JEMALLOC -DJEMALLOC_MANGLE

Shared library	= enabled
Relaxed plugins	= disabled

Prefix		= /usr
Bindir		= /usr/bin
Libdir		= /usr/lib
Incdir		= /usr/include
Sysconfdir	= /etc/monkey
Datadir		= /var/www
Mandir		= /usr/share/man
Logdir		= /usr/logs
PidFile		= /var/run/monkey.pid
Plugdir		= /usr/share/monkey/plugins
Systemddir	= 

--
[0;32m Monkey [0m configuration is[1;33m done![0m, to build type 'make' 
Have fun! ;)
  CC    jemalloc [all]
  CC    src/monkey.o
  CC    src/mk_method.o
  CC    src/mk_mimetype.o
  CC    src/mk_vhost.o
  CC    src/mk_request.o
  CC    src/mk_header.o
monkey.c: In function 'main':
monkey.c:161:13: warning: this statement may fall through [-Wimplicit-fallthrough=]
             mk_help(EXIT_SUCCESS);
             ^~~~~~~~~~~~~~~~~~~~~
monkey.c:162:9: note: here
         case 'D':
         ^~~~
mk_method.c: In function 'mk_method_parse_data':
mk_method.c:119:29: warning: comparison between signed and unsigned integer expressions [-Wsign-compare]
     if (content_length_post >= cs->body_size) {
                             ^~
  CC    src/mk_config.o
  CC    src/mk_signals.o
  CC    src/mk_user.o
  CC    src/mk_utils.o
  CC    src/mk_epoll.o
  CC    src/mk_scheduler.o
  CC    src/mk_string.o
  CC    src/mk_memory.o
mk_utils.c: In function 'mk_utils_gen_hash':
mk_utils.c:711:15: warning: this statement may fall through [-Wimplicit-fallthrough=]
     case 3: h ^= data[2] << 16;
             ~~^~~~~~~~~~~~~~~~
mk_utils.c:712:5: note: here
     case 2: h ^= data[1] << 8;
     ^~~~
mk_utils.c:712:15: warning: this statement may fall through [-Wimplicit-fallthrough=]
     case 2: h ^= data[1] << 8;
             ~~^~~~~~~~~~~~~~~
mk_utils.c:713:5: note: here
     case 1: h ^= data[0]; h *= m;
     ^~~~
  CC    src/mk_connection.o
  CC    src/mk_iov.o
  CC    src/mk_http.o
  CC    src/mk_file.o
  CC    src/mk_socket.o
  CC    src/mk_clock.o
  CC    src/mk_cache.o
  CC    src/mk_server.o
  CC    src/mk_kernel.o
  CC    src/mk_rbtree.o
  CC    src/mk_plugin.o
  CC    src/mk_lib.o
  CC    src/monkey.lo
  CC    src/mk_method.lo
  CC    src/mk_mimetype.lo
  CC    src/mk_request.lo
  CC    src/mk_vhost.lo
  CC    src/mk_header.lo
monkey.c:49:19: warning: 'MONKEY_BUILT' defined but not used [-Wunused-const-variable=]
 static const char MONKEY_BUILT[] = __DATE__ " " __TIME__;
                   ^~~~~~~~~~~~
mk_method.c: In function 'mk_method_parse_data':
mk_method.c:119:29: warning: comparison between signed and unsigned integer expressions [-Wsign-compare]
     if (content_length_post >= cs->body_size) {
                             ^~
  CC    src/mk_config.lo
  CC    src/mk_signals.lo
  CC    src/mk_user.lo
  CC    src/mk_utils.lo
  CC    src/mk_epoll.lo
  CC    src/mk_scheduler.lo
  CC    src/mk_string.lo
mk_utils.c: In function 'mk_utils_gen_hash':
mk_utils.c:711:15: warning: this statement may fall through [-Wimplicit-fallthrough=]
     case 3: h ^= data[2] << 16;
             ~~^~~~~~~~~~~~~~~~
mk_utils.c:712:5: note: here
     case 2: h ^= data[1] << 8;
     ^~~~
mk_utils.c:712:15: warning: this statement may fall through [-Wimplicit-fallthrough=]
     case 2: h ^= data[1] << 8;
             ~~^~~~~~~~~~~~~~~
mk_utils.c:713:5: note: here
     case 1: h ^= data[0]; h *= m;
     ^~~~
  CC    src/mk_memory.lo
  CC    src/mk_connection.lo
  CC    src/mk_iov.lo
  CC    src/mk_http.lo
  CC    src/mk_file.lo
  CC    src/mk_socket.lo
  CC    src/mk_clock.lo
  CC    src/mk_cache.lo
  CC    src/mk_server.lo
  CC    src/mk_kernel.lo
  CC    src/mk_rbtree.lo
  CC    src/mk_plugin.lo
  CC    src/mk_lib.lo
  CC    plugins/auth/sha1.o
  CC    plugins/auth/base64.o
  CC    plugins/auth/conf.o
  CC    plugins/auth/auth.o
  CC    plugins/auth/tools/../../../bin/mk_passwd
  CC    plugins/auth/monkey-auth.so
  CC    plugins/cgi/cgi.o
  CC    plugins/cgi/request.o
  CC    plugins/cgi/event.o
  CC    plugins/cgi/monkey-cgi.so
  CC    plugins/cheetah/cheetah.o
  CC    plugins/cheetah/loop.o
  CC    plugins/cheetah/cmd.o
  CC    plugins/cheetah/cutils.o
  CC    plugins/cheetah/monkey-cheetah.so
  CC    plugins/dirlisting/dirlisting.o
  CC    plugins/dirlisting/monkey-dirlisting.so
  CC    plugins/fastcgi/fastcgi.o
  CC    plugins/fastcgi/protocol.o
  CC    plugins/fastcgi/chunk.o
  CC    plugins/fastcgi/request.o
  CC    plugins/fastcgi/fcgi_fd.o
  CC    plugins/fastcgi/fcgi_config.o
  CC    plugins/fastcgi/fcgi_context.o
  CC    plugins/fastcgi/fcgi_env.o
  CC    plugins/fastcgi/monkey-fastcgi.so
  CC    plugins/liana/liana.o
  CC    plugins/liana/monkey-liana.so
  CC    plugins/logger/pointers.o
  CC    plugins/logger/logger.o
  CC    plugins/logger/monkey-logger.so
  CC    plugins/mandril/mandril.o
  CC    plugins/mandril/monkey-mandril.so
  DONE
make -C src all
make[1]: Entering directory '/home/slitaz/wok/monkey/source/monkey-1.5.6/src'
make[1]: Nothing to be done for 'all'.
make[1]: Leaving directory '/home/slitaz/wok/monkey/source/monkey-1.5.6/src'
install -d /home/slitaz/wok/monkey/install/usr/bin
install -d /home/slitaz/wok/monkey/install/usr/lib/pkgconfig
install -d /home/slitaz/wok/monkey/install/usr/include
install -d /home/slitaz/wok/monkey/install/usr/share/man/man1
install -d /home/slitaz/wok/monkey/install/usr/share/man/man3
install -d /home/slitaz/wok/monkey/install/etc/monkey
install -d /home/slitaz/wok/monkey/install/etc/monkey/sites
install -d /home/slitaz/wok/monkey/install/etc/monkey/plugins
install -d /home/slitaz/wok/monkey/install/var/www
install -d /home/slitaz/wok/monkey/install/var/www/imgs
install -d /home/slitaz/wok/monkey/install/var/www/php
install -d /home/slitaz/wok/monkey/install/var/www/docs
install -d /home/slitaz/wok/monkey/install/usr/logs
install -d /home/slitaz/wok/monkey/install/usr/share/monkey/plugins
install -m 755 bin/* /home/slitaz/wok/monkey/install/usr/bin
install -m 644 ./conf/*.* /home/slitaz/wok/monkey/install/etc/monkey
install -m 644 src/include/*.h /home/slitaz/wok/monkey/install/usr/include
cp -r conf/plugins/auth /home/slitaz/wok/monkey/install/etc/monkey/plugins/
cp -r conf/plugins/cgi /home/slitaz/wok/monkey/install/etc/monkey/plugins/
cp -r conf/plugins/cheetah /home/slitaz/wok/monkey/install/etc/monkey/plugins/
cp -r conf/plugins/dirlisting /home/slitaz/wok/monkey/install/etc/monkey/plugins/
cp -r conf/plugins/fastcgi /home/slitaz/wok/monkey/install/etc/monkey/plugins/
cp -r conf/plugins/logger /home/slitaz/wok/monkey/install/etc/monkey/plugins/
cp -r conf/plugins/mandril /home/slitaz/wok/monkey/install/etc/monkey/plugins/
install -m 644 plugins/auth/*.so /home/slitaz/wok/monkey/install/usr/share/monkey/plugins/
install -m 644 plugins/cgi/*.so /home/slitaz/wok/monkey/install/usr/share/monkey/plugins/
install -m 644 plugins/cheetah/*.so /home/slitaz/wok/monkey/install/usr/share/monkey/plugins/
install -m 644 plugins/dirlisting/*.so /home/slitaz/wok/monkey/install/usr/share/monkey/plugins/
install -m 644 plugins/fastcgi/*.so /home/slitaz/wok/monkey/install/usr/share/monkey/plugins/
install -m 644 plugins/liana/*.so /home/slitaz/wok/monkey/install/usr/share/monkey/plugins/
install -m 644 plugins/logger/*.so /home/slitaz/wok/monkey/install/usr/share/monkey/plugins/
install -m 644 plugins/mandril/*.so /home/slitaz/wok/monkey/install/usr/share/monkey/plugins/
install -m 644 ./conf/sites/* /home/slitaz/wok/monkey/install/etc/monkey/sites
install -m 644 ./man/*.1 /home/slitaz/wok/monkey/install/usr/share/man/man1
install -m 644 ./man/*.3 /home/slitaz/wok/monkey/install/usr/share/man/man3
install -m 644 src/include/public/libmonkey.h /home/slitaz/wok/monkey/install/usr/include
install -m 644 src/libmonkey.so.1.5 /home/slitaz/wok/monkey/install/usr/lib
install -m 644 monkey.pc /home/slitaz/wok/monkey/install/usr/lib/pkgconfig
ln -sf libmonkey.so.1.5 /home/slitaz/wok/monkey/install/usr/lib/libmonkey.so
install -m 644 ./htdocs/index.html /home/slitaz/wok/monkey/install/var/www
install -m 644 ./htdocs/404.html /home/slitaz/wok/monkey/install/var/www
install -m 644 ./htdocs/favicon.ico /home/slitaz/wok/monkey/install/var/www
install -d /home/slitaz/wok/monkey/install/var/www/imgs
install -m 644 ./htdocs/imgs/monkey_logo.png /home/slitaz/wok/monkey/install/var/www/imgs
install -m 644 ./htdocs/imgs/info_pic.jpg /home/slitaz/wok/monkey/install/var/www/imgs
install -d /home/slitaz/wok/monkey/install/var/www/css
install -m 644 ./htdocs/css/bootstrap.min.css /home/slitaz/wok/monkey/install/var/www/css

 Running Monkey :
 ----------------

  # /usr/bin/monkey

  For more help use '-h' option

================================================================================

Installing (pkg/local): advancecomp-static-2.1
Compressing man pages...                                               Done
  Time: 1.62s. Size: 30846 B -> 12170 B. Save: 18 KB. Cache hit: 13/13.
Installing (pkg/local): pngquant-static-2.9.1
Installing (pkg/local): optipng-static-0.7.6
Compressing png images...                                              Done
  Time: 1.85s. Size: 64428 B -> 23785 B. Save: 40 KB. Cache hit: 1/1.
================================================================================


Build dependencies to remove: 4
Removing: advancecomp-static findutils optipng-static pngquant-static


Pack: monkey 1.5.6
================================================================================
Executing: genpkg_rules
Copying "receipt"...                                                   Done
Executing strip on all files...                                        Done
  Time: 1.94s. Size: 1783124 B -> 542744 B. Save: 1211 KB.
Creating the list of files...                                          Done
Creating md5sum of files...                                            Done
Compressing the FS...                                                  Done
Updating receipt sizes...                                              Done
Creating full cpio archive...                                          Done
QA: checking for empty package...                                      Done
Removing old package "monkey-1.5.6.tazpkg"                             Done
The release checksum has changed.
================================================================================
Package "monkey-1.5.6.tazpkg" created


Pack: monkey-dev 1.5.6
================================================================================
Executing: genpkg_rules
Copying "receipt"...                                                   Done
Executing strip on all files...                                        Done
  Time: 1.45s. Size: 1664128 B -> 403344 B. Save: 1231 KB.
Creating the list of files...                                          Done
Creating md5sum of files...                                            Done
Compressing the FS...                                                  Done
Updating receipt sizes...                                              Done
Creating full cpio archive...                                          Done
QA: checking for empty package...                                      Done
The release checksum has changed.
================================================================================
Package "monkey-dev-1.5.6.tazpkg" created


Summary for: monkey 1.5.6
================================================================================
Src file    : monkey-1.5.6.tar.gz
Src size    : 884.0K
Source dir  : 28.7M
Produced    : 3.9M
Cook time   : 43s ~ 1m
Cook date   : 2018-03-11 19:39
Target arch : i486
--------------------------------------------------------------------------------
 # :  Packed : Compressed : Files : Package name
--------------------------------------------------------------------------------
 1 :  976.0K :     250.0K :    45 : monkey-1.5.6.tazpkg
 2 :  624.0K :     161.7K :    39 : monkey-dev-1.5.6.tazpkg
================================================================================
